using System;
using Cute;
using UnityEngine;

namespace Wizard;

public class BattlePassPurchaseProductView : MonoBehaviour
{
	[SerializeField]
	private UITexture _posterTexture;

	[SerializeField]
	private UIButton _buyBtn;

	[SerializeField]
	private UILabel _priceLabel;

	public void SetView(BattlePassProduct product, Action<BattlePassProduct> onClickPoster, Action<BattlePassProduct> onClickBuyBtn)
	{
		_posterTexture.mainTexture = Toolbox.ResourcesManager.LoadObject(product.GetPosterTexturePath(isFetch: true)) as Texture;
		_priceLabel.text = product.PriceInCrystal.ToString();
		UIEventListener.Get(_posterTexture.gameObject).onClick = delegate
		{
			onClickPoster.Call(product);
		};
		_buyBtn.onClick.Clear();
		_buyBtn.onClick.Add(new EventDelegate(delegate
		{
			GameMgr.GetIns().GetSoundMgr().PlaySe(Se.TYPE.SYS_BTN_DECIDE);
			onClickBuyBtn.Call(product);
		}));
	}
}
